    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.pages.haddock;
    020
    021import com.codeborne.selenide.Selenide;
    022import org.apache.wiki.its.environment.Env;
    023import org.openqa.selenium.By;
    024
    025/**
    026 * Actions available on the Login page.
    027 */
    028public class LoginPage implements HaddockPage {
    029
    030    /**
    031     * Logs in using Janne username and password.
    032     *
    033     * @return {@link ViewWikiPage} instance, to allow chaining of actions.
    034     */
    035    public ViewWikiPage performLogin() {
    036        return performLogin( Env.LOGIN_JANNE_USERNAME, Env.LOGIN_JANNE_PASSWORD );
    037    }
    038
    039    /**
    040     * Logs in using the supplied username and password.
    041     *
    042     * @param login user login.
    043     * @param password user password.
    044     * @return {@link ViewWikiPage} instance, to allow chaining of actions.
    045     */
    046    public ViewWikiPage performLogin(final String login, final String password ) {
    047        Selenide.$( By.id( "j_username" ) ).val( login );
    048        Selenide.$( By.id( "j_password" ) ).val( password );
    049        Selenide.$( By.name( "submitlogin" ) ).click();
    050
    051        return new ViewWikiPage();
    052    }
    053
    054}